Set Contact Memory
curl --request PUT \
--url https://api.revring.ai/v1/contacts/{phoneNumber}/memory \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"memory": "<string>"
}
'import requests
url = "https://api.revring.ai/v1/contacts/{phoneNumber}/memory"
payload = { "memory": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: '<string>'})
};
fetch('https://api.revring.ai/v1/contacts/{phoneNumber}/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"phoneNumber": "<string>",
"memory": "<string>",
"lastCallId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Contacts
Set Contact Memory
Write or correct what your agents remember about this person.
PUT
/
contacts
/
{phoneNumber}
/
memory
Set Contact Memory
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
E.164, URL-encoded (for example %2B14155550123)
Body
application/json
Required string length:
1 - 2000Response
200 - application/json
The memory
Show child attributes
Show child attributes